2017-09-21 17:45 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001738openmediavaultFeaturepublic2017-05-19 18:04
ReporterRomaNNN 
Assigned Tovotdev 
PrioritynormalSeveritymajorReproducibilityN/A
StatusclosedResolutionnot fixable 
PlatformarmelOSDebianOS Version8.8
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001738: Make error popups more informative
DescriptionWhen I trying do some actions, sometimes WEB-panel drops me popups "An error occurred" or "Connection failure" or something else. It says me absolutely nothing and nothing to do to resolve this issue. I want to see what's wrong or where I can find info about issue.

1) If it's possible, add stack trace/any debug info, hidden in spoiler. It helps save a lot of time to find reason of issue.
2) Add universal/semi-universal (grouped by error types) footer like a:

"
___
For additional information see "System Logs" tab or:
/var/log/syslog
...
...
...
"
Additional InformationOMV Erasmus (3.0.75.1)
TagsNo tags attached.
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0004745

votdev (administrator)

The error messages already display all available information. If there is no more, then no more can be displayed.

~0004746

RomaNNN (reporter)

I understand, but what should I do when an error occurs? Please add information about the logs in which users can find information about the problem. Just a universal footer with list of logs paths.

~0004751

RomaNNN (reporter)

up

~0004761

RomaNNN (reporter)

Ok, close pls

~0004764

votdev (administrator)

If there is no information, then it can't be displayed nor there can be a hint where to search (e.g. log files). In most cases errors can not identified nor located automatically. The current implementation does already it's best.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-15 17:26 RomaNNN New Issue
2017-05-15 17:26 RomaNNN Status new => assigned
2017-05-15 17:26 RomaNNN Assigned To => votdev
2017-05-15 17:26 RomaNNN File Added: Screenshot from 2017-05-15 17-44-45.png
2017-05-15 17:26 RomaNNN File Added: Screenshot from 2017-05-15 18-01-27.png
2017-05-15 17:26 RomaNNN File Added: Screenshot from 2017-05-15 18-18-23.png
2017-05-16 09:28 votdev Status assigned => resolved
2017-05-16 09:28 votdev Resolution open => fixed
2017-05-16 09:28 votdev Fixed in Version => Erasmus (3.x)
2017-05-16 09:28 votdev Note Added: 0004745
2017-05-16 11:04 RomaNNN Status resolved => feedback
2017-05-16 11:04 RomaNNN Resolution fixed => reopened
2017-05-16 11:04 RomaNNN Note Added: 0004746
2017-05-17 15:36 RomaNNN Note Added: 0004751
2017-05-17 15:36 RomaNNN Status feedback => assigned
2017-05-19 14:28 RomaNNN Note Added: 0004761
2017-05-19 18:04 votdev Status assigned => closed
2017-05-19 18:04 votdev Resolution reopened => not fixable
2017-05-19 18:04 votdev Note Added: 0004764
+Issue History